Subject: Re: bug#25767: [PATCH] 25.1.91; abbrev-prefix-mark expansion inserts newline

From: Allen Li <[email-masked]>
Date: Wed, 1 Mar 2017 22:35:05 -0800

Yep.  I'll be more careful to work on a fresh build in the future.

On Mon, Feb 27, 2017 at 8:47 PM,  <[email-masked]> wrote:
> Allen Li <[email-masked]> writes:
>
>> On Fri, Feb 24, 2017 at 6:26 AM, Noam Postavsky
>> <[email-masked]> wrote:
>>> The tests pass for me unchanged, both the "official way": cd into
>>> tests/ and then 'make abbrev-tests', and also M-x eval-buffer M-x ert.
>>
>> Thanks, the official way works.  I guess eval-buffer+ert wasn't
>> working for me because I wasn't running a fresh build.
>
> Were you possibly running the tests from master using an Emacs from
> emacs-25?  abbrev.el has a dependency on obarray.el that is new in
> master.